2019-10-19 00:37 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003158FSSCPBuild systempublic2015-05-05 17:10
Reporterchief1983 
Assigned Tochief1983 
PrioritynormalSeverityblockReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86-64OSFreeBSDOS Version10.1
Product Version3.7.3 
Target Version3.7.4Fixed in Version3.7.3 
Summary0003158: C++11 causing compilation failure on FreeBSD
Description  CXX network/multi_voice.o
network/multi_voice.cpp:566:8: error: case value evaluates to 3735928493, which cannot be narrowed to type 'int' [-Wc++11-narrowing]
                case MULTI_VOICE_TOKEN_INDEX_RELEASED:
                     ^
network/multi_voice.cpp:109:44: note: expanded from macro 'MULTI_VOICE_TOKEN_INDEX_RELEASED'
#define MULTI_VOICE_TOKEN_INDEX_RELEASED 0xDEADBEAD // the token has been released but the stream is still active
                                                                ^
1 error generated.
Steps To Reproduce> Be on FreeBSD 10.1.
> compile fs2open from git
> cry when it fails
> realize greentext doesn't work on Mantis
Additional Informationclang: v3.4.1
hash: 189275d

See me for access to a FreeBSD environment.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0016695

niffiwan (developer)

I think this is resolved now?

~0016696

chief1983 (administrator)

Last edited: 2015-05-05 17:10

View 2 revisions

Yup, closing. Fixed in PR 72 https://github.com/scp-fs2open/fs2open.github.com/pull/72

+Notes

-Issue History
Date Modified Username Field Change
2015-05-04 15:12 chief1983 New Issue
2015-05-04 15:12 chief1983 Status new => assigned
2015-05-04 15:12 chief1983 Assigned To => chief1983
2015-05-05 16:59 niffiwan Note Added: 0016695
2015-05-05 17:09 chief1983 Note Added: 0016696
2015-05-05 17:09 chief1983 Status assigned => resolved
2015-05-05 17:09 chief1983 Resolution open => fixed
2015-05-05 17:09 chief1983 Fixed in Version => 3.7.3
2015-05-05 17:10 chief1983 Note Edited: 0016696 View Revisions
+Issue History